Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 272286 - =gnome-extra/gnome-power-manager-2.24. power button opens logout dialog
Summary: =gnome-extra/gnome-power-manager-2.24. power button opens logout dialog
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on: 314899
Blocks: gnome2.24
  Show dependency tree
 
Reported: 2009-06-02 15:31 UTC by Märt Bakhoff
Modified: 2010-10-10 21:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge_info.log,3.19 KB, text/plain)
2009-06-02 15:32 UTC, Märt Bakhoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Märt Bakhoff 2009-06-02 15:31:19 UTC
When I press the physical power button (not some gui program), logout dialog is displayed instead of shutdown dialog. As far as I know, it should open shutdown dialog. 

gnome-base/gnome-session-2.26.1
gnome-base/gnome-settings-daemon-2.26.1-r1
gnome-base/libgnome-2.26.0
gnome-base/libgnomeui-2.24.1
gnome-extra/gnome-power-manager-2.24.4-r2

Reproducible: Always

Steps to Reproduce:
1. use latest ~amd64
2. press power button
Comment 1 Märt Bakhoff 2009-06-02 15:32:12 UTC
Created attachment 193303 [details]
emerge --info
Comment 2 Philipp Leonhardt 2009-06-25 13:34:24 UTC
Same for me on 2.24
I configured the power button to ask dialog and now it asks for logout
Comment 3 Krzysztof Magusiak 2009-07-02 01:57:57 UTC
Same for me...

By the way, setting "Log out" option in "Keyboards Shortcuts" displays the shutdown dialog.
Comment 4 Gilles Dartiguelongue gentoo-dev 2009-07-26 22:46:33 UTC
this was fixed in 2.26 apparently.
Comment 5 Mart Raudsepp gentoo-dev 2009-09-28 01:02:33 UTC
With gnome-power-manager-2.22 the behaviour was to open some unified log out/restart/shutdown dialog, which is different from the dialogs popping up with "Log Out" or "Shut Down" System menu choices of the main menu, so depending on how exactly it looks (which I'll see soon), it doesn't seem to be a regression compared to gnome-power-manager-2.22
Comment 6 Mart Raudsepp gentoo-dev 2009-09-28 01:43:33 UTC
Checked with gnome-power-manager-2.24 and the dialog is the same as it was with g-p-m-2.22.
The dialog presented to me on physical power off button press does offer me log out, shut down and restart option. Shut down being the default.
Comment 7 Pacho Ramos gentoo-dev 2010-06-12 19:33:52 UTC
Works ok with 2.28 that is stable on major arches